import { App } from 'vue';
import AnYiBpmnDesignerCamunda from './AnYiBpmnDesignerCamunda';
import AnYiBpmnDesignerCamundaSimple from './AnYiBpmnDesignerCamundaSimple';
import AnYiBpmnDesignerZeebe from './AnYiBpmnDesignerZeebe';
import AnYiBpmnDesignerZeebeSimple from './AnYiBpmnDesignerZeebeSimple';
import AnYiDmnDesigner from './AnYiDmnDesigner';
import './styles/bpmn-designer.less';
import './styles/diagram-js.css';
import './styles/dmn-designer.less';
import './styles/dmn-variable.less';
import './styles/font-icon.less';
import 'virtual:svg-icons-register';
import type { AnYiExtendValueModel, BpmnDiagramInfo, DmnDiagramInfo, ThirdDataComp } from './types';
export type { AnYiExtendValueModel, BpmnDiagramInfo, DmnDiagramInfo, ThirdDataComp };
export { AnYiBpmnDesignerCamunda, AnYiBpmnDesignerCamundaSimple, AnYiBpmnDesignerZeebe, AnYiBpmnDesignerZeebeSimple, AnYiDmnDesigner, };
declare const Components: {
    install: (app: App) => void;
    AnYiBpmnDesignerCamunda: any;
    AnYiBpmnDesignerCamundaSimple: any;
    AnYiBpmnDesignerZeebe: any;
    AnYiBpmnDesignerZeebeSimple: any;
    AnYiDmnDesigner: any;
};
export default Components;
